CREATE TABLE irc_is_availability (
    AVAILABILITY_ID               NUMBER(18, 0),
    PERSON_ID                     NUMBER(18, 0)    NOT NULL,
    USE_O365_AVAILABILITY_FLAG    VARCHAR2(4)      NOT NULL,
    DAY_OF_WEEK                   VARCHAR2(72) ,
    IS_AVAILABLE_FLAG             VARCHAR2(4)  ,
    START_TIME                    TIMESTAMP(6) ,
    END_TIME                      TIMESTAMP(6) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    AVAILABILITY_ID               NUMBER(18, 0),
    PERSON_ID                     NUMBER(18, 0)    NOT NULL,
    USE_O365_AVAILABILITY_FLAG    VARCHAR2(4)      NOT NULL,
    DAY_OF_WEEK                   VARCHAR2(72) ,
    IS_AVAILABLE_FLAG             VARCHAR2(4)  ,
    START_TIME                    TIMESTAMP(6) ,
    END_TIME                      TIMESTAMP(6) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    CONSTRAINT pk_irc_is_availability PRIMARY KEY (AVAILABILITY_ID, AVAILABILITY_ID)
);
